#
# spec file for package xpr
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           xpr
Version:        1.0.4
Release:        12.3
License:        MIT
Summary:        Utility to print an X window dump
Url:            http://xorg.freedesktop.org/
Group:          System/X11/Utilities
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xpr takes as input a window dump file produced by xwd
and formats it for output on various types of printers.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/xdpr
%{_bindir}/xpr
%{_mandir}/man1/xdpr.1%{?ext_man}
%{_mandir}/man1/xpr.1%{?ext_man}

%changelog
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.4:
  + Use memmove rather than bcopy
  + Add _X_NORETURN to usage() & leave() as suggested by gcc
  - Wmissing-noreturn
  + Add const attributes to fix gcc -Wwrite-strings warnings
  + Fix printf type warnings in LP64 builds
  + Define pixel mask constant as unsigned long
  + Refactor invalid depth error reporting to allow printf format
    checking
  + Replace gcc noreturn & printf attributes with macros from
    <X11/Xfuncproto.h>
  + Build system fixes.
- Add pkgconfig(xproto) BuildRequires: new dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xpr from xorg-x11. Initial version: 1.0.3.
